package cn.chmlfrp.chmlfrpplugin;

import cn.chmlfrp.chmlfrpplugin.app.ApiRequestThread;
import cn.chmlfrp.chmlfrpplugin.app.ProcessChecker;
import cn.chmlfrp.chmlfrpplugin.app.StartFrpc;
import cn.chmlfrp.chmlfrpplugin.app.TimeAndChatName;
import cn.chmlfrp.chmlfrpplugin.app.WriteFrpc;
import cn.chmlfrp.chmlfrpplugin.entity.ChmlFrpUser;
import cn.chmlfrp.chmlfrpplugin.entity.FrpcOutLog;
import com.alibaba.fastjson2.JSONObject;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Properties;
import java.util.concurrent.atomic.AtomicReference;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;

/* loaded from: Command.class */
public class Command implements CommandExecutor {
    public boolean onCommand(CommandSender sender, org.bukkit.command.Command command, String label, String[] strings) {
        boolean lanrun;
        if (label.equalsIgnoreCase("chmlfrp")) {
            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "输入指令\"/cf help\"获取帮助列表");
            return true;
        }
        if (label.equalsIgnoreCase("cf")) {
            if (strings.length == 0) {
                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "输入指令\"/cf help\"获取帮助列表");
                return true;
            }
            if (strings[0].equalsIgnoreCase("help")) {
                sender.sendMessage("\n§l§2#########§l§aChmlFrp帮助列表§l§2#########\n§f/cf help  §e#获取帮助列表\n§f/cf login [token]  §e#登录ChmlFrp\n§f/cf user  §e#查看用户信息\n§f/cf start [隧道ID]  §e#启动映射服务\n§f/cf stop  §e#关闭映射服务\n§f/cf logout [隧道ID]  §e#查看Frp输出\n§f/cf lanrun [隧道ID] [true/false]  §e#自动检测识别端口并操作\n§f/cf reload  §e#重新载入配置文件\n§f/cf version  §e#查看插件版本");
                return true;
            }
            if (strings[0].equalsIgnoreCase("version")) {
                sender.sendMessage("\n§l§2#####§l§aChmlFrp版本信息§l§2#####\n§f插件名称:§eChmlFrp\n§f版本类型:§eSNAPSHOT\n§f版本号:§e0.1.0\n§f游戏版本:§e1.20.1");
                return true;
            }
            if (strings[0].equalsIgnoreCase("reload")) {
                GlobalVariables.chmlFrpPlugin.reloadConfig();
                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "已重新载入配置文件");
                return true;
            }
            ApiRequestThread apiRequestThread = new ApiRequestThread();
            if (strings[0].equalsIgnoreCase("login")) {
                if (strings.length == 1) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "登录的指令格式为\"/cf login [token]\"");
                    return true;
                }
                if (strings.length == 2) {
                    String token = strings[1];
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在登录中");
                    AtomicReference<JSONObject> result = new AtomicReference<>(new JSONObject());
                    Thread thread = new Thread(() -> {
                        result.set(apiRequestThread.sendGetRequest("https://cf-v2.uapis.cn/userinfo?token=" + token));
                        if (((JSONObject) result.get()).getInteger("code").intValue() == 200) {
                            JSONObject data = ((JSONObject) result.get()).getJSONObject("data");
                            GlobalVariables.chmlFrpUser = new ChmlFrpUser(data.getInteger("id"), data.getString("username"), data.getString("password"), data.getString("userimg"), data.getString("qq"), data.getString("email"), data.getString("usertoken"), data.getString("usergroup"), data.getInteger("bandwidth"), data.getInteger("tunnel"), data.getString("realname"), data.getInteger("login_attempts"), data.getInteger("integral"), (Date) null, (Timestamp) null, (Date) null, data.getString("t_token"), data.getInteger("realname_count"), data.getLong("total_download"), data.getLong("total_upload"), data.getInteger("tunnelCount"), data.getInteger("totalCurConns"));
                            GlobalVariables.chmlFrpPlugin.getConfig().set("token", GlobalVariables.chmlFrpUser.getUsertoken());
                            GlobalVariables.chmlFrpPlugin.saveConfig();
                            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "登录成功, 欢迎你 " + GlobalVariables.chmlFrpUser.getUsername());
                            return;
                        }
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "登录失败, " + ((JSONObject) result.get()).getString("msg"));
                        GlobalVariables.chmlFrpUser = null;
                    });
                    thread.start();
                    return true;
                }
            }
            if (strings[0].equalsIgnoreCase("user")) {
                if (GlobalVariables.chmlFrpUser == null) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "请先登录");
                    return true;
                }
                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在获取用户信息");
                AtomicReference<JSONObject> result2 = new AtomicReference<>(new JSONObject());
                Thread thread2 = new Thread(() -> {
                    result2.set(apiRequestThread.sendGetRequest("https://cf-v2.uapis.cn/userinfo?token=" + GlobalVariables.chmlFrpUser.getUsertoken()));
                    if (((JSONObject) result2.get()).getInteger("code").intValue() == 200) {
                        JSONObject data = ((JSONObject) result2.get()).getJSONObject("data");
                        GlobalVariables.chmlFrpUser = new ChmlFrpUser(data.getInteger("id"), data.getString("username"), data.getString("password"), data.getString("userimg"), data.getString("qq"), data.getString("email"), data.getString("usertoken"), data.getString("usergroup"), data.getInteger("bandwidth"), data.getInteger("tunnel"), data.getString("realname"), data.getInteger("login_attempts"), data.getInteger("integral"), (Date) null, (Timestamp) null, (Date) null, data.getString("t_token"), data.getInteger("realname_count"), data.getLong("total_download"), data.getLong("total_upload"), data.getInteger("tunnelCount"), data.getInteger("totalCurConns"));
                        sender.sendMessage("\n§l§2#########§l§aChmlFrp用户信息§l§2#########\n§f用户名: §e" + GlobalVariables.chmlFrpUser.getUsername() + "\n§f用户ID: §e" + GlobalVariables.chmlFrpUser.getId() + "\n§f用户组: §e" + GlobalVariables.chmlFrpUser.getUsergroup() + "\n§fQQ: §e" + GlobalVariables.chmlFrpUser.getQq() + "\n§f邮箱: §e" + GlobalVariables.chmlFrpUser.getEmail() + "\n§f带宽配速: §e" + GlobalVariables.chmlFrpUser.getBandwidth() + "\n§f隧道数量: §e" + GlobalVariables.chmlFrpUser.getTunnel() + "\n§f积分: §e" + GlobalVariables.chmlFrpUser.getIntegral());
                        return;
                    }
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "获取失败, " + ((JSONObject) result2.get()).getString("msg"));
                });
                thread2.start();
                return true;
            }
            if (strings[0].equalsIgnoreCase("start")) {
                if (strings.length == 1) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "启动隧道的指令格式为\"/cf start [隧道ID]\"");
                    return true;
                }
                if (strings.length == 2) {
                    if (GlobalVariables.chmlFrpUser == null) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "请先登录");
                        return true;
                    }
                    String TunnelID = strings[1];
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在获取隧道信息");
                    AtomicReference<JSONObject> result3 = new AtomicReference<>(new JSONObject());
                    Thread thread3 = new Thread(() -> {
                        result3.set(apiRequestThread.sendGetRequest("https://cf-v1.uapis.cn/api/tunnelinfo.php?id=" + TunnelID));
                        if (((JSONObject) result3.get()).getInteger("code").intValue() == 200) {
                            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "获取成功, 隧道名: " + ((JSONObject) result3.get()).getString("tunnel_name"));
                            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在为你启动隧道");
                            if (ProcessChecker.isProcessRunning(((JSONObject) result3.get()).getString("tunnel_name"))) {
                                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "该隧道客户端已运行");
                                return;
                            } else if (!WriteFrpc.writeFrpc(((JSONObject) result3.get()).getString("tunnel_name"))) {
                                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "写入frpc客户端失败, 请确保已关闭安全防护软件");
                                return;
                            } else {
                                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "隧道已提交, 输入指令\"/cf logout [隧道ID]\"以查看日志");
                                StartFrpc.startFrpc(GlobalVariables.chmlFrpUser.getUsertoken(), TunnelID);
                                return;
                            }
                        }
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "获取失败, " + ((JSONObject) result3.get()).getString("msg"));
                    });
                    thread3.start();
                    return true;
                }
            }
            if (strings[0].equalsIgnoreCase("stop")) {
                if (strings.length == 1) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "停止隧道的指令格式为\"/cf stop [隧道ID]\"");
                    return true;
                }
                if (strings.length == 2) {
                    if (GlobalVariables.chmlFrpUser == null) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "请先登录");
                        return true;
                    }
                    String TunnelID2 = strings[1];
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在获取隧道信息");
                    AtomicReference<JSONObject> result4 = new AtomicReference<>(new JSONObject());
                    Thread thread4 = new Thread(() -> {
                        result4.set(apiRequestThread.sendGetRequest("https://cf-v1.uapis.cn/api/tunnelinfo.php?id=" + TunnelID2));
                        if (((JSONObject) result4.get()).getInteger("code").intValue() == 200) {
                            if (!ProcessChecker.isProcessRunning(((JSONObject) result4.get()).getString("tunnel_name"))) {
                                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "该隧道尚未启动");
                                return;
                            }
                            StartFrpc.stopFrpc(TunnelID2);
                            int i = 0;
                            while (true) {
                                if (i >= GlobalVariables.frpcLogOut.length) {
                                    break;
                                }
                                if (GlobalVariables.frpcLogOut[i].getTunnelID().equals(TunnelID2)) {
                                    List<FrpcOutLog> list = new ArrayList<>(Arrays.asList(GlobalVariables.frpcLogOut));
                                    if (list.size() > i) {
                                        list.remove(i);
                                    }
                                    FrpcOutLog[] newFrpcLogOut = (FrpcOutLog[]) list.toArray(new FrpcOutLog[0]);
                                    GlobalVariables.frpcLogOut = newFrpcLogOut;
                                } else {
                                    i++;
                                }
                            }
                            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "隧道 " + ((JSONObject) result4.get()).getString("tunnel_name") + " 已停止");
                        }
                    });
                    thread4.start();
                    return true;
                }
            }
            if (strings[0].equalsIgnoreCase("logout")) {
                if (strings.length == 1) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "查看frpc日志的指令格式为\"/cf logout [隧道ID]\"");
                    return true;
                }
                if (strings.length == 2) {
                    if (GlobalVariables.chmlFrpUser == null) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "请先登录");
                        return true;
                    }
                    String TunnelID3 = strings[1];
                    boolean found = false;
                    FrpcOutLog frpcOutLog = null;
                    int i = 0;
                    while (true) {
                        if (i >= GlobalVariables.frpcLogOut.length) {
                            break;
                        }
                        if (GlobalVariables.frpcLogOut[i].getTunnelID().equals(TunnelID3)) {
                            found = true;
                            frpcOutLog = GlobalVariables.frpcLogOut[i];
                            break;
                        }
                        i++;
                    }
                    if (found) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "隧道ID: " + frpcOutLog.getTunnelID() + " 的运行日志如下");
                        sender.sendMessage("§a" + frpcOutLog.getLog());
                        return true;
                    }
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "该隧道未运行");
                    return true;
                }
            }
            if (strings[0].equalsIgnoreCase("lanrun")) {
                if ((strings.length == 1) & (strings.length == 2)) {
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "设置该任务的指令格式为\"/cf runlan [隧道ID] [true/false]\"");
                    return true;
                }
                if (strings.length == 3) {
                    if (GlobalVariables.chmlFrpUser == null) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "请先登录");
                        return true;
                    }
                    String TunnelID4 = strings[1];
                    if ((!strings[2].equals("true")) & (!strings[2].equals("false"))) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "参数错误");
                        return true;
                    }
                    if (strings[2].equals("true")) {
                        lanrun = true;
                    } else {
                        lanrun = false;
                    }
                    new Properties();
                    if (lanrun) {
                        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "正在获取隧道信息");
                        AtomicReference<JSONObject> result5 = new AtomicReference<>(new JSONObject());
                        Thread thread5 = new Thread(() -> {
                            result5.set(apiRequestThread.sendGetRequest("https://cf-v1.uapis.cn/api/tunnelinfo.php?id=" + TunnelID4));
                            if (((JSONObject) result5.get()).getInteger("code").intValue() == 200) {
                                GlobalVariables.chmlFrpPlugin.getConfig().set("lanrun", Integer.valueOf(Integer.parseInt(TunnelID4)));
                                GlobalVariables.chmlFrpPlugin.saveConfig();
                                sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "获取成功, 已将隧道名为: " + ((JSONObject) result5.get()).getString("tunnel_name") + " 的隧道设置为自动启动, 下次启动服务器时生效");
                                return;
                            }
                            sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "获取失败, " + ((JSONObject) result5.get()).getString("msg"));
                        });
                        thread5.start();
                        return true;
                    }
                    GlobalVariables.chmlFrpPlugin.getConfig().set("lanrun", false);
                    GlobalVariables.chmlFrpPlugin.saveConfig();
                    sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "隧道的检测启动方式已关闭, 重启服务器生效");
                    return true;
                }
            }
        }
        sender.sendMessage(TimeAndChatName.getTimeAndChatName() + "输入\"/cf help\"获取帮助列表");
        return true;
    }
}
